# Changelog

##[1.13.0]- 2022-02-02
### Added
- status field added to Create Customer API.
- create and cancel PaymentAuthorization APIs.
- create Payment API has enhanced to support capturing with PaymentAuthorization Id. 

### Removed
- get and retrieve Recorded Payments API. (Need to use get and retrieve Payments API)

##[1.12.0]- 2021-08-31
### Added
- eci and cryptogram fields added to Payment Resource in order to support Apple Pay.
- device_manufacturer_id field added to Funding Account Resource in order to support Apple Pay.
- display_text field added to Funding Account Resource.
- account_holder_name added to Funding Source snapshot of Payment Resource.
- incollections status added to Customer Account Resource.

##[1.11.0]- 2021-05-25
### Added
- trace_id to request_headers.
- '\r\n' character to comments field.
- payment_method to Retreive Payments Filter params.
- token to Payment Response Payload.

##[1.10.0]- 2021-04-21
### Added
- payment_notification_email field added to create payment and simple payment request and response.
- payment_notification_email field added to get,retrieve and update payment responses.

##[1.9.0]- 2021-02-04
No usage change, just in-lining with API Documentation version

##[1.8.0]- 2020-11-24
### Added
- multiple authentication supported added
- Recorded Payment API's (create,get, delete and retrieve) added
- nickname added to funding_account snapshot of payment, paymentsetup and refund resources

##[1.7.0]- 2020-10-28
### Added
- comments attribute added in all API responses.

##[1.6.0]- 2020-07-15
### Added
- account_number added to customer_account snapshot of payment, paymentsetup resources

##[1.5.0] - 2020-04-07
### NOTE
- Not Compatable with v1.4.* and older versions. please refer latest version of API Referance Sample Codes and README.md

## [1.4.1] - 2020-03-23
#Fixed
- Retrieve Refunds API when passing status as filter param

##[1.4.0] - 2020-03-05
### Added
- Simple Payment API
- Renewal Customer Account API
- Get Refund API
- Retrieve Refund API
- AuditInfo segment added in all resources
- payment_network_response added payment, payment Setup and Refund resources
- address_city attribute length enhanced from 20 characters to 50 characters
- customer account account_number regx enhanced with space and single quote

##[1.3.3] - 2020-02-19
# Fixed
- Made attributes optional in the InvocationContext.

##[1.3.2] - 2020-02-19
# Enhancement
- Customer account number enhanced to accept space and single quote as part of its regex


##[1.3.1] - 2020-02-06
### Fixed
- removed custom fields validation



##[1.3.0] - 2020-01-28
### Added
- Replace Funding Account API
- Update Payment Setup API
- registered_email attribute to Customer Resource
- customer_reference attribute in Payment and Payment Setup resource under customer object 


##[1.2.0] - 2019-12-14
###Changed
- customer account account_number minimum length updated from 4 to 1
- both customer and funding accounts nick name maximum length updated from 32 to 50 characters


## [1.1.0] - 2019-05-21
### Added
- CHANGELOG.md file
### Changed
- Namespace for Swagger generated code
- Values of constants AppErrorCodes.CLIENT_KEY_INVALID , AppErrorCodes.REQUESTOR_INVALID, AppErrorCodes.REQUESTOR_TYPE_INVALID, AppErrorCodes.CHANNEL_INVALID, AppErrorCodes.PRODUCT_INVALID
- Name of 'Orbi**P**ayApiException' to 'Orbi**p**ayApiException'
- Value of User-Agent request header



